# -*- encoding : utf-8 -*-
class Admin::AlbumsController < ApplicationController


	def index
		@albums = Album.all(:order => :name)
	end

	def new
		@album = Album.new()
	end

	def create
		@album = Album.new(params[:album])
		@album_create = true
		
		if @album.save
			@albums = Album.all(:order => :name)
		else
			render :action => :new
		
		end
	end

	def edit
		@album = Album.find(params[:id])	
	end

	def update
		@album = Album.find(params[:id])
		@album_update = true
		
		if @album.update_attributes(params[:album])
			@albums = Album.all(:order => :name)
		else
			render :action => :edit
		
		end
	end

	def destroy
		@album = Album.find(params[:id])
		if @album.id != 1
			@album.delete
		end
	end

end
